## org.biojava.bio.seq
Interface SequenceFactory

All Known Implementing Classes:
  SimpleSequenceFactory

Deprecated. use org.biojavax.bio.seq.io.RichSequenceBuilder or use org.biojavax.bio.seq.io.SequenceBuilder

    public interface SequenceFactory

The interface for objects that will manufacture sequences.

The factory layer is in here as sequences are potentialy heavy-weight, so we want to decouple their possibly complicated creation from the code that wants to make them.

Author:
  Matthew Pocock

Method Summary
`Sequence` `createSequence(SymbolList symList, String uri, String name, Annotation annotation)` Deprecated. Creates a sequence using these parameters.

Method Detail

### createSequence

    Sequence createSequence(SymbolList symList,
                            String uri,
                            String name,
                            Annotation annotation)

  Deprecated.
  Creates a sequence using these parameters.

  Parameters:
    `symList` - the SymbolList defining the 'sequence'
    `uri` - the uri of the sequence. This will be returned by the getURN() method on Sequence.
    `name` - the name
    `annotation` - a hint for the annotation of the resulting sequence
  Returns:
    a new Sequence object